[Résolu] Erreur à l'installation Grammalecte et LanguageTOOL

Questions liées au programme de setup ou à l'installation ainsi que des problèmes d'ordre général qui ne sont pas liés à un module spécifique (dictionnaire, impression, etc).

Modérateur: Vilains modOOs

[Résolu] Erreur à l'installation Grammalecte et LanguageTOOL

Messagepar PierreP » 28 Nov 2017 08:39

Bonjour à tous,
Mon désarroi me fait oublier les règles de politesse, je m'en excuse auprès de la communauté.
Ca devient urgent, j'ai des travaux à rendre sans fautes ..... et sans faute et aucun des correcteurs grammaticales sous LO ne fonctionnent.
Je viens de changer d'ordinateur, je viens d'installer libre office , et je n'arrive pas à mettre un des 2 correcteurs grammaticales , j'ai déjà regardé plusieurs forums , j'ai pas de solution.
Voicie le message d'erreur à l'installation de grammalecte (version pour LO)
Erreur Grammalecte.jpg
Message d'erreur grammalecte


Pour Langage TOOL, j'ai bien installé Java (9) en 64 bites comme la version de LO , et voici le message erreur au lancement de LO une fois l'extension installée :
Erreur LANGUAGE TOOL.jpg
Message d'erreur Language Tool

Que dois je faire, avez vous des solutions ?
Merci à tous pour vos réponses.
Dernière édition par PierreP le 28 Nov 2017 09:21, édité 1 fois.
Libre office Version: 5.3.7.2 (x64)
windows 10
PierreP
Fraîchement OOthentifié
 
Message(s) : 3
Inscrit le : 25 Nov 2017 14:59

Re: Probleme avec Grammalecte et Language TOOL - Urgence

Messagepar Phantéd » 28 Nov 2017 08:53


La modération a écrit::alerte:
"Bonjour", "merci", "à bientôt"

La politesse n'est pas une option même sur un forum. L'omettre peut compromettre vos chances d'obtenir une réponse.
http://forum.openoffice.org/fr/forum/viewtopic.php?p=6050#p6050
Nous vous remercions de modifier votre texte à l'aide du bouton "Editer" à la droite du message.

Le titre de votre question n'est pas assez explicite :
<.Probleme avec Grammalecte et Language TOOL - Urgence>
les termes Problème et urgence sont inutile, tout est Problème et urgent ici.

Ce titre doit synthétiser votre question et donner envie d'y répondre. Un titre clair et précis augmente vos chances d'obtenir des réponses plus rapidement.

Voici des astuces pour avoir un titre optimum : viewtopic.php?p=1002#p1002

Merci donc de le modifier au plus tôt. Si cela n'est pas fait avant votre prochain message, le sujet sera fermé.
Avatar de l’utilisateur
Phantéd
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 50
Inscrit le : 09 Oct 2017 15:05

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar Dude » 28 Nov 2017 09:37

Salut,

Pour être aidé, il faut déjà donner les bons renseignements.
Dans ta signature, il y a écrit:Open office 4 + windows 10

Ce qui est en contradiction avec :
PierreP a écrit:aucun des correcteurs grammaticales sous LO ne fonctionnent
Avatar de l’utilisateur
Dude
Grand Maître de l'OOffice
Grand Maître de l'OOffice
 
Message(s) : 20920
Inscrit le : 03 Mars 2006 08:45
Localisation : 127.0.0.1

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar PierreP » 28 Nov 2017 09:42

Bonjour,
Merci pour ta remarque
c'est bien avec Libre Office que j'ai ces problèmes (je n'ai pas open office je vais changer l'info dans mon profil)
La version de LO : Version: 5.3.7.2 (x64)
Je crois comprendre que c'est la version en 64 bites (?)
et je suis bien sous windows 10
merci,
Libre office Version: 5.3.7.2 (x64)
windows 10
PierreP
Fraîchement OOthentifié
 
Message(s) : 3
Inscrit le : 25 Nov 2017 14:59

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar jeanmimi » 28 Nov 2017 11:40

Bonjour,
Avec ta version, les dictionnaires sont installés par défaut : https://forum.openoffice.org/fr/forum/v ... 64#p255822

Pour une installation personnalisée, Grammalecte s'installe comme les autres extensions et apparait ensuite dans la liste des extensions.
Pièces jointes
Grammalecte.png
Grammalecte.png (4.88 Kio) Consulté 1491 fois
LibreOffice Version : Version: 6.3.2 (x64) (1 octobre 2019)
Java (x64) 1.8.0_xxx, Windows 10, Thunderbird, Firefox
Avatar de l’utilisateur
jeanmimi
Grand Maître de l'OOffice
Grand Maître de l'OOffice
 
Message(s) : 15000
Inscrit le : 03 Mars 2006 17:02
Localisation : Venise verte

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar Scrat » 29 Nov 2017 11:38

Bonjour.

Pour commencer, je vous suggère de purger votre profil utilisateur. Cette opération est facilitée par un outil dédié:
https://forum.openoffice.org/fr/forum/v ... 13&t=56162

Ensuite, vous ne pouvez pas installer à la fois Langage Tool et Grammalecte: c'est soit l'un soit l'autre.

Pour Grammalecte, il convient de choisir la version adaptée à votre version de Libre Office: dernière version 0.6.1 pour Libre Office 4.2+, donc à retenir si vous avez Libre Office 5.3.7, version 0.4.6 pour les anciennes versions de Libre Office 4.0 et 4.1. Voir la page de téléchargement sur https://www.dicollecte.org/

 Ajout : J'ai le même problème avec la dernière version Grammalecte 0.6.1: l'installation échoue sur Libre Office 5.3.7, avec un message d'erreur différent du votre (invalid syntax).

J'ai laissé un message sur le site dicollecte, et quelqu'un d'autre a posté à la suite pour le même problème.

La version 0.6.0 s'installe normalement. Problème: je ne sais pas comment y accéder sur le site dicollecte. Si vous ne la trouvez pas, je pourrai mettre la mienne sur cjoint.com.

A suivre...
 


A+
Dernière édition par Scrat le 29 Nov 2017 13:22, édité 1 fois.
Libre Office 6.0.7.3 Linux Mint 19.2 x64 (version des dépôts)
Utilisez l'extension de Sauvegarde incrémentale pour ne pas perdre de document !
Avatar de l’utilisateur
Scrat
HédOOniste
HédOOniste
 
Message(s) : 1875
Inscrit le : 06 Juin 2014 11:39
Localisation : Île d'Oléron

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar OlivierR » 29 Nov 2017 12:45

Bonjour,

Le problème rencontré par PierreP n’est pas le même que celui rencontré par Scrat.

Ce n’est pas parce que les messages se ressemblent qu’ils sont identiques.

Dans le cas de PierreP, il y a un fichier que LibreOffice ne trouve pas, et ça renvoie une erreur. C’est très probablement parce que le profil est corrompu.

Ce matin, j’ai publié une nouvelle mise à jour de Grammalecte (v0.6.1), mais il y avait une «erreur de syntaxe» pour la version de Python embarquée dans LibreOffice. Cette erreur de syntaxe n’est en fait qu’une nouvelle syntaxe possible depuis Python 3.6 que j’utilise chez moi. J’ai corrigé le problème.
LibreOffice 6.2Windows 10Grammalecte, correcteur grammatical et orthotypographique
OlivierR
SuppOOrter
SuppOOrter
 
Message(s) : 1027
Inscrit le : 24 Mai 2006 21:34
Localisation : Lorraine, France

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar Scrat » 29 Nov 2017 13:21

Bonjour.

@OlivierR: j'ai retéléchargé la version 0.6.1 et maintenant elle s'installe sans problème. Merci pour la réactivité.

Pour PierreP, je pense effectivement que c'est un problème de corruption du profil, et je réitère ma suggestion de purge du profil avec l'outil dédié qui facilite l'opération:
https://forum.openoffice.org/fr/forum/v ... 13&t=56162

Ensuite téléchargez la version 0.6.1 corrigée qui doit s' installer normalement.

A+
Libre Office 6.0.7.3 Linux Mint 19.2 x64 (version des dépôts)
Utilisez l'extension de Sauvegarde incrémentale pour ne pas perdre de document !
Avatar de l’utilisateur
Scrat
HédOOniste
HédOOniste
 
Message(s) : 1875
Inscrit le : 06 Juin 2014 11:39
Localisation : Île d'Oléron

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar PierreP » 02 Déc 2017 06:59

Bonjour a tous,
Merci pour vos réponses et votre implication pour résoudre mon problème.

Dans l'ordre ce que j'ai essayé pour GRAMMALECTE :
Vérifier les versions et les compatibilités entre libre office et grammalecte => ça n'a rien changé : problème toujours existant
Purger le profil avec le logiciel préconisé sur le forum => ça n'a rien changé
Restauration de Windows : réinitialiser Windows en gardant mes fichiers => ça n'a rien changé
Restauration de Windows : Réinstallation totale : suppression puis réinstallation => ca a marché !!!! Je n'ai plus de problème avec grammalecte. il fonctionne correctement avec LO

Par contre pour LANGUAGE TOOL : J'ai toujours le même problème :
Avec la version 9 de Java : j'ai le message erreur que j'ai présenté dans mon premier post
Avec la version 8 : Libre office ne trouve pas de fichier d’exécution JRE ( j'ai beau lui proposer l'ensemble des fichiers de JAVA installés dans c:/ programme / java / ... dans l'onglet de LO : Outils - Option - Libre office - Avancé ... il ne trouve aucun fichier d’exécution)
Avec la version 7 : j'ai un message erreur.

Je pense que je ne dois pas télécharger le bon JAVA, pouvez vous me donner un lien pour trouver le bon java
Ma version de libre office (telle que présenté dans A propos de libre office)
Version: 5.3.7.2 (x64)
Build ID: 6b8ed514a9f8b44d37a1b96673cbbdd077e24059
Threads CPU : 4; Version de l'OS :Windows 6.19; UI Render : GL; Moteur de mise en page : nouveau;
Locale : fr-FR (fr_FR); Calc: group

Vous me confirmez que c'est bien la version en 64 bites ?
Merci encore pour votre aide, a très bientôt Pierre
Libre office Version: 5.3.7.2 (x64)
windows 10
PierreP
Fraîchement OOthentifié
 
Message(s) : 3
Inscrit le : 25 Nov 2017 14:59

Re: Message erreur à l'installation Grammalecte et LanguageT

Messagepar Scrat » 02 Déc 2017 08:58

Bonjour.

Si vous avez Libre Office x64, c'est bien une version en 64 bits et il vous faut aussi un jre Java en 64 bits que vous devrez activer dans les options de Libre Office.

Vous trouverez toutes les versions de Java ici :
h**p://www.oracle.com/technetwork/java/javase/downloads/index.html
Choisissez plutôt la jre java 8, la dernière version 9 étant trop récente et présentant des problèmes de compatibilité avec certains logiciels.

Mais ATTENTION : VOUS NE POUVEZ PAS installer en même temps Grammalecte et Language Tool. Il vous faut choisir l'un ou l'autre. Personnellement, je conseillerais Grammalecte si vous ne travaillez qu'en français.

A+
Libre Office 6.0.7.3 Linux Mint 19.2 x64 (version des dépôts)
Utilisez l'extension de Sauvegarde incrémentale pour ne pas perdre de document !
Avatar de l’utilisateur
Scrat
HédOOniste
HédOOniste
 
Message(s) : 1875
Inscrit le : 06 Juin 2014 11:39
Localisation : Île d'Oléron


Retour vers Installation et configuration

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : MSN [Bot] et 13 invité(s)